import request from '@/utils/request'
/**
 * 事件监察相关接口
 */

// 申请监察
export function addMonitor(params) {
  return request({
    url: '/supervise/add',
    method: 'post',
    params
  })
}
// 监察
export function doMonitor(params) {
  return request({
    url: '/supervise/confirmSupervise',
    method: 'post',
    params
  })
}

// 监察审核
export function monitorCheck(params) {
  return request({
    url: '/supervise/check',
    method: 'post',
    params
  })
}

// 待办监察列表
export function getMonitorList(params) {
  return request({
    url: '/supervise/toToListPage',
    method: 'get',
    params
  })
}

// 审核监察列表
export function getCheckMonitorList(params) {
  return request({
    url: '/supervise/checkListPage',
    method: 'get',
    params
  })
}

// 查询监察
export function getAllMonitorList(params) {
  return request({
    url: '/supervise/listPage',
    method: 'get',
    params
  })
}

// 督办记录
export function monitorRecords(caseId) {
  return request({
    url: '/supervise/detail/' + caseId,
    method: 'get'
  })
}
